- payload_class = 'js-seat-link-payload'

= form_for @application_setting, url: metrics_and_profiling_admin_application_settings_path(anchor: 'js-seat-link-settings'), html: { class: 'fieldset-form' } do |f|
  = form_errors(@application_setting)

  %fieldset
    .form-group
      - can_be_configured = @application_setting.seat_link_can_be_configured?
      .form-check
        = f.check_box :seat_link_enabled, disabled: !can_be_configured, class: 'form-check-input'
        = f.label :seat_link_enabled, class: 'form-check-label' do
          = _('Enable Seat Link')
        .form-text.text-muted
          - if can_be_configured
            %p.mb-2= _('To simplify the billing process, GitLab will collect user counts in order to prorate charges for user growth throughout the year using a quarterly reconciliation process.')

            - link_path = help_page_path('subscriptions/self_managed/index', anchor: 'seat-link')
            - link_start = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: link_path }
            %p.mb-2= s_('%{link_start}Learn more%{link_end} about what information is shared with GitLab Inc.').html_safe % { link_start: link_start, link_end: '</a>'.html_safe }

            %button.btn.gl-button.btn-default.js-payload-preview-trigger{ type: 'button', data: { payload_selector: ".#{payload_class}" } }
              .spinner.js-spinner.gl-display-none.gl-mr-2
              .js-text.d-inline= _('Preview payload')
            %pre.usage-data.js-syntax-highlight.code.highlight.mt-2.d-none{ class: payload_class, data: { endpoint: seat_link_payload_admin_application_settings_path(format: :html) } }
          - else
            = _('Seat Link is disabled, and cannot be configured through this form.')
            - link_path = help_page_path('subscriptions/self_managed/index', anchor: 'disable-seat-link')
            - link_start = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: link_path }
            = s_('For more information, see the documentation on %{link_start}disabling Seat Link%{link_end}.').html_safe % { link_start: link_start, link_end: '</a>'.html_safe }

  = f.submit 'Save changes', class: "gl-button btn btn-confirm"
